use stock gtk about dialog in plugins?

classic Classic list List threaded Threaded
2 messages Options
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

use stock gtk about dialog in plugins?

Bugzilla from horkana@maths.tcd.ie

I was looking at version 2.3 and was pleased to notice lots of little
details that have been polished or tweaked.

For no particular reason I noticed some of the plugins have an About
dialog and since the GIMP requires gtk 2.6 I started about getting them to
use the GTK_STOCK_ABOUT button and the standard gtk about dialog.

I spent quite a while checking which applications use an about dialog and
the list was extremely short:
Fractal Explorer
Gimpressionist
ImageMap
(Gfig used to but doesn't at least not in version 2.3)

Rather than getting these applications to use the new GTK About dialog I
also considered removing the about dialog entirely (the information is
still availalbe from the Plugin database if anyone wants it).  However I
didn't think this was a change developers would be eager to make and
wasn't going to bother suggesting it until I read this existing comment by
Sven which suggested completely removing the about dialog from the Fractal
Explorer.
http://bugzilla.gnome.org/show_bug.cgi?id=140202#c13

So would it be acceptable to remove the about button and dialog from both
Fractal Explorer and Gimpressionist?  If it is I'll file a request and try
and provide a patch at some stage.  Either way ImageMap should probably
use the gtk stock about dialog, so I'll give that a try for starters.

Sincerely

- Alan H.
_______________________________________________
Gimp-developer mailing list
[hidden email]
http://lists.xcf.berkeley.edu/mailman/listinfo/gimp-developer
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: use stock gtk about dialog in plugins?

Sven Neumann
Hi.

Alan Horkan <[hidden email]> writes:

> I was looking at version 2.3 and was pleased to notice lots of
> little details that have been polished or tweaked.
>
> For no particular reason I noticed some of the plugins have an About
> dialog and since the GIMP requires gtk 2.6 I started about getting
> them to use the GTK_STOCK_ABOUT button and the standard gtk about
> dialog.

Our policy is that plug-ins shouldn't have an about dialog. That's why
you found so few plug-ins having one.


Sven
_______________________________________________
Gimp-developer mailing list
[hidden email]
http://lists.xcf.berkeley.edu/mailman/listinfo/gimp-developer
Loading...